# Type Alias PluginType

type PluginType = {
attributes?: (arg0: any) => Attribute[] | Attribute[];
fieldviews: Record<string, FieldView>;
name: string;
presets?: ([]: any) => any;
readFromDB?: (arg0: any) => any;
readFromFormRecord?: ([arg0, arg1]: [arg0: any, arg1: string]) => any;
sqlName: string;
validate?: (arg0: any) => (arg0: any) => boolean;
}

- Defined in base_types.ts:182

##### Index

### Properties

attributes?
fieldviews
name
presets?
readFromDB?
readFromFormRecord?
sqlName
validate?

## Properties

### `Optional` attributes

attributes?: (arg0: any) => Attribute[] | Attribute[]

- Defined in base_types.ts:186

### fieldviews

fieldviews: Record<string, FieldView>

- Defined in base_types.ts:185

### name

name: string

- Defined in base_types.ts:183

### `Optional` presets

presets?: ([]: any) => any

- Defined in base_types.ts:190

### `Optional` readFromDB

readFromDB?: (arg0: any) => any

- Defined in base_types.ts:188

### `Optional` readFromFormRecord

readFromFormRecord?: ([arg0, arg1]: [arg0: any, arg1: string]) => any

- Defined in base_types.ts:187

### sqlName

sqlName: string

- Defined in base_types.ts:184

### `Optional` validate

validate?: (arg0: any) => (arg0: any) => boolean

- Defined in base_types.ts:189